/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package com.mycompany.commerce.project.facade.datatypes;

import com.ibm.commerce.foundation.common.datatypes.UserDataType;

import java.util.List;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Instruction Type</b></em>'.
 * <!-- end-user-doc -->
 *
 * <!-- begin-model-doc -->
 * 
 * 				An instruction used when making project.
 * 			
 * <!-- end-model-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link com.mycompany.commerce.project.facade.datatypes.ProjectInstructionType#getProjectInstructionDescription <em>Project Instruction Description</em>}</li>
 *   <li>{@link com.mycompany.commerce.project.facade.datatypes.ProjectInstructionType#getUserData <em>User Data</em>}</li>
 *   <li>{@link com.mycompany.commerce.project.facade.datatypes.ProjectInstructionType#getDisplaySequence <em>Display Sequence</em>}</li>
 *   <li>{@link com.mycompany.commerce.project.facade.datatypes.ProjectInstructionType#isOptional <em>Optional</em>}</li>
 *   <li>{@link com.mycompany.commerce.project.facade.datatypes.ProjectInstructionType#getUniqueID <em>Unique ID</em>}</li>
 * </ul>
 * </p>
 *
 * @see com.mycompany.commerce.project.facade.datatypes.ProjectPackage#getProjectInstructionType()
 * @generated
 */
public interface ProjectInstructionType {
	/**
	 * Returns the value of the '<em><b>Project Instruction Description</b></em>' containment reference list.
	 * The list contents are of type {@link com.ibm.commerce.foundation.common.datatypes.DescriptionType}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Project Instruction Description</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Project Instruction Description</em>' containment reference list.
	 * @see com.mycompany.commerce.project.facade.datatypes.ProjectPackage#getProjectInstructionType_ProjectInstructionDescription()
	 * @generated
	 */
	List getProjectInstructionDescription();

	/**
	 * Returns the value of the '<em><b>User Data</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * <!-- begin-model-doc -->
	 * The element definition of a user data area.
	 * <!-- end-model-doc -->
	 * @return the value of the '<em>User Data</em>' containment reference.
	 * @see #setUserData(UserDataType)
	 * @see com.mycompany.commerce.project.facade.datatypes.ProjectPackage#getProjectInstructionType_UserData()
	 * @generated
	 */
	UserDataType getUserData();

	/**
	 * Sets the value of the '{@link com.mycompany.commerce.project.facade.datatypes.ProjectInstructionType#getUserData <em>User Data</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>User Data</em>' containment reference.
	 * @see #getUserData()
	 * @generated
	 */
	void setUserData(UserDataType value);

	/**
	 * Returns the value of the '<em><b>Display Sequence</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Display Sequence</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Display Sequence</em>' attribute.
	 * @see #isSetDisplaySequence()
	 * @see #unsetDisplaySequence()
	 * @see #setDisplaySequence(double)
	 * @see com.mycompany.commerce.project.facade.datatypes.ProjectPackage#getProjectInstructionType_DisplaySequence()
	 * @generated
	 */
	double getDisplaySequence();

	/**
	 * Sets the value of the '{@link com.mycompany.commerce.project.facade.datatypes.ProjectInstructionType#getDisplaySequence <em>Display Sequence</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Display Sequence</em>' attribute.
	 * @see #isSetDisplaySequence()
	 * @see #unsetDisplaySequence()
	 * @see #getDisplaySequence()
	 * @generated
	 */
	void setDisplaySequence(double value);

	/**
	 * Unsets the value of the '{@link com.mycompany.commerce.project.facade.datatypes.ProjectInstructionType#getDisplaySequence <em>Display Sequence</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetDisplaySequence()
	 * @see #getDisplaySequence()
	 * @see #setDisplaySequence(double)
	 * @generated
	 */
	void unsetDisplaySequence();

	/**
	 * Returns whether the value of the '{@link com.mycompany.commerce.project.facade.datatypes.ProjectInstructionType#getDisplaySequence <em>Display Sequence</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>Display Sequence</em>' attribute is set.
	 * @see #unsetDisplaySequence()
	 * @see #getDisplaySequence()
	 * @see #setDisplaySequence(double)
	 * @generated
	 */
	boolean isSetDisplaySequence();

	/**
	 * Returns the value of the '<em><b>Optional</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Optional</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Optional</em>' attribute.
	 * @see #isSetOptional()
	 * @see #unsetOptional()
	 * @see #setOptional(boolean)
	 * @see com.mycompany.commerce.project.facade.datatypes.ProjectPackage#getProjectInstructionType_Optional()
	 * @generated
	 */
	boolean isOptional();

	/**
	 * Sets the value of the '{@link com.mycompany.commerce.project.facade.datatypes.ProjectInstructionType#isOptional <em>Optional</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Optional</em>' attribute.
	 * @see #isSetOptional()
	 * @see #unsetOptional()
	 * @see #isOptional()
	 * @generated
	 */
	void setOptional(boolean value);

	/**
	 * Unsets the value of the '{@link com.mycompany.commerce.project.facade.datatypes.ProjectInstructionType#isOptional <em>Optional</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetOptional()
	 * @see #isOptional()
	 * @see #setOptional(boolean)
	 * @generated
	 */
	void unsetOptional();

	/**
	 * Returns whether the value of the '{@link com.mycompany.commerce.project.facade.datatypes.ProjectInstructionType#isOptional <em>Optional</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>Optional</em>' attribute is set.
	 * @see #unsetOptional()
	 * @see #isOptional()
	 * @see #setOptional(boolean)
	 * @generated
	 */
	boolean isSetOptional();

	/**
	 * Returns the value of the '<em><b>Unique ID</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Unique ID</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Unique ID</em>' attribute.
	 * @see #setUniqueID(String)
	 * @see com.mycompany.commerce.project.facade.datatypes.ProjectPackage#getProjectInstructionType_UniqueID()
	 * @generated
	 */
	String getUniqueID();

	/**
	 * Sets the value of the '{@link com.mycompany.commerce.project.facade.datatypes.ProjectInstructionType#getUniqueID <em>Unique ID</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Unique ID</em>' attribute.
	 * @see #getUniqueID()
	 * @generated
	 */
	void setUniqueID(String value);

} // ProjectInstructionType
