/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package com.mycompany.commerce.project.facade.server.entity.datatypes.util;

import com.mycompany.commerce.project.facade.server.entity.datatypes.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see com.mycompany.commerce.project.facade.server.entity.datatypes.ProjectEntityPackage
 * @generated
 */
public class ProjectEntityAdapterFactory extends AdapterFactoryImpl
{
  /**
   * The cached model package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static ProjectEntityPackage modelPackage;

  /**
   * Creates an instance of the adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public ProjectEntityAdapterFactory()
  {
    if (modelPackage == null)
    {
      modelPackage = ProjectEntityPackage.eINSTANCE;
    }
  }

  /**
   * Returns whether this factory is applicable for the type of the object.
   * <!-- begin-user-doc -->
   * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
   * <!-- end-user-doc -->
   * @return whether this factory is applicable for the type of the object.
   * @generated
   */
  public boolean isFactoryForType(Object object)
  {
    if (object == modelPackage)
    {
      return true;
    }
    if (object instanceof EObject)
    {
      return ((EObject)object).eClass().getEPackage() == modelPackage;
    }
    return false;
  }

  /**
   * The switch that delegates to the <code>createXXX</code> methods.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected ProjectEntitySwitch modelSwitch =
    new ProjectEntitySwitch()
    {
      public Object caseProjectRoot(ProjectRoot object)
      {
        return createProjectRootAdapter();
      }
      public Object caseXprjcatrel(Xprjcatrel object)
      {
        return createXprjcatrelAdapter();
      }
      public Object caseXprjcol(Xprjcol object)
      {
        return createXprjcolAdapter();
      }
      public Object caseXprjcoldes(Xprjcoldes object)
      {
        return createXprjcoldesAdapter();
      }
      public Object caseXprjdes(Xprjdes object)
      {
        return createXprjdesAdapter();
      }
      public Object caseXprjins(Xprjins object)
      {
        return createXprjinsAdapter();
      }
      public Object caseXprjinsdes(Xprjinsdes object)
      {
        return createXprjinsdesAdapter();
      }
      public Object caseXprjmtr(Xprjmtr object)
      {
        return createXprjmtrAdapter();
      }
      public Object caseXprjmtrcatrel(Xprjmtrcatrel object)
      {
        return createXprjmtrcatrelAdapter();
      }
      public Object caseXprjmtrdes(Xprjmtrdes object)
      {
        return createXprjmtrdesAdapter();
      }
      public Object caseXprjprjcolrel(Xprjprjcolrel object)
      {
        return createXprjprjcolrelAdapter();
      }
      public Object caseXproject(Xproject object)
      {
        return createXprojectAdapter();
      }
      public Object defaultCase(EObject object)
      {
        return createEObjectAdapter();
      }
    };

  /**
   * Creates an adapter for the <code>target</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param target the object to adapt.
   * @return the adapter for the <code>target</code>.
   * @generated
   */
  public Adapter createAdapter(Notifier target)
  {
    return (Adapter)modelSwitch.doSwitch((EObject)target);
  }


  /**
   * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.server.entity.datatypes.ProjectRoot <em>Project Root</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.mycompany.commerce.project.facade.server.entity.datatypes.ProjectRoot
   * @generated
   */
  public Adapter createProjectRootAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.server.entity.datatypes.Xprjcatrel <em>Xprjcatrel</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.mycompany.commerce.project.facade.server.entity.datatypes.Xprjcatrel
   * @generated
   */
  public Adapter createXprjcatrelAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.server.entity.datatypes.Xprjcol <em>Xprjcol</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.mycompany.commerce.project.facade.server.entity.datatypes.Xprjcol
   * @generated
   */
  public Adapter createXprjcolAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.server.entity.datatypes.Xprjcoldes <em>Xprjcoldes</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.mycompany.commerce.project.facade.server.entity.datatypes.Xprjcoldes
   * @generated
   */
  public Adapter createXprjcoldesAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.server.entity.datatypes.Xprjdes <em>Xprjdes</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.mycompany.commerce.project.facade.server.entity.datatypes.Xprjdes
   * @generated
   */
  public Adapter createXprjdesAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.server.entity.datatypes.Xprjins <em>Xprjins</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.mycompany.commerce.project.facade.server.entity.datatypes.Xprjins
   * @generated
   */
  public Adapter createXprjinsAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.server.entity.datatypes.Xprjinsdes <em>Xprjinsdes</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.mycompany.commerce.project.facade.server.entity.datatypes.Xprjinsdes
   * @generated
   */
  public Adapter createXprjinsdesAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.server.entity.datatypes.Xprjmtr <em>Xprjmtr</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.mycompany.commerce.project.facade.server.entity.datatypes.Xprjmtr
   * @generated
   */
  public Adapter createXprjmtrAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.server.entity.datatypes.Xprjmtrcatrel <em>Xprjmtrcatrel</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.mycompany.commerce.project.facade.server.entity.datatypes.Xprjmtrcatrel
   * @generated
   */
  public Adapter createXprjmtrcatrelAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.server.entity.datatypes.Xprjmtrdes <em>Xprjmtrdes</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.mycompany.commerce.project.facade.server.entity.datatypes.Xprjmtrdes
   * @generated
   */
  public Adapter createXprjmtrdesAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.server.entity.datatypes.Xprjprjcolrel <em>Xprjprjcolrel</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.mycompany.commerce.project.facade.server.entity.datatypes.Xprjprjcolrel
   * @generated
   */
  public Adapter createXprjprjcolrelAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link com.mycompany.commerce.project.facade.server.entity.datatypes.Xproject <em>Xproject</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.mycompany.commerce.project.facade.server.entity.datatypes.Xproject
   * @generated
   */
  public Adapter createXprojectAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for the default case.
   * <!-- begin-user-doc -->
   * This default implementation returns null.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @generated
   */
  public Adapter createEObjectAdapter()
  {
    return null;
  }

} //ProjectEntityAdapterFactory
